test: user32p.def File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# user32p.def File Reference

Go to the source code of this file.

## Functions

csrss uses | GetProcAddr ().DialogBoxIndirectParamAorW

## Variables

LIBRARY USER32 EXPORTS | ClientThreadSetup
| comdlg
wow | CreateDialogIndirectParamAorW
comdlg EndTask GetAppCompatFlags | LoadLocalFonts
winlogon LoadRemoteFonts | LockWindowStation
Chicago ShowStartGlass | UnlockWindowStation = NtUserUnlockWindowStation
Chicago UpdatePerUserSystemParameters UserClientDllInitialize | UserRealizePalette
GDI32 UserRegisterWowHandlers | RegisterSystemThread
Chicago SetWindowStationUser GetCursorFrameInfo | SetCursorContents
desk cpl | DrawCaptionTempW
desk cpl | SetSysColorsTemp
desk cpl DrawMenuBarTemp TranslateMessageEx | SetConsoleReserveKeys
These are | macros
| GetNextWindow
| CopyCursor
this stuff wasn t exported from win31 but was in this | file
for some | reason
| InitQueue
| GetSysInputMode
| IsTwoByteCharPrefix
| Lookupmenuitem
| RecalcTabStrings
win32 will not support these | functions
| SetSysModalWindow
| GetSysModalWindow
| EnableHardwareInput
| GetSystemDebugState
| GetCSSwitchCount
Callbacks from | Server
| EditWndProc
c Window class manipulation APIs and support | routines
RegisterClassA RegisterClassW UnregisterClassA UnregisterClassW GetClassInfoA GetClassInfoW GetClassWord | SetClassWord
clres c Resource loading manipulation | APIs

LookupIconIdFromDirectory
CreateIconFromResource GetIconInfo
CreateIconIndirect LoadMenuA
LoadMenuW LoadCursorA LoadCursorW
LoadIconA LoadIconW LoadBitmapA
LoadBitmapW LoadAcceleratorsA
LoadAcceleratorsW LoadStringA

LoadStringW

GetMessageA GetMessageW PeekMessageA PeekMessageW TranslateMessage DispatchMessageA DispatchMessageW SetMessageQueue GetMessagePos GetMessageTime | WaitMessage

SendMessageA SendMessageW
SendMessageTimeoutA SendMessageTimeoutW
SendNotifyMessageA SendNotifyMessageW
SendMessageCallbackA SendMessageCallbackW
PostMessageA PostMessageW
PostThreadMessageA PostThreadMessageW
ReplyMessage PostQuitMessage
InSendMessage InSendMessageEx
RegisterWindowMessageA

RegisterWindowMessageW

SwapMouseButton | GetDoubleClickTime
EnumWindows EnumChildWindows | EnumThreadWindows
| ShowWindow
CreateWindowExA CreateWindowExW | DestroyWindow = NtUserDestroyWindow
| SetWindowPos
spb | c
| LockWindowUpdate = NtUserLockWindowUpdate
DefWindowProcA DefWindowProcW CallWindowProcA CallWindowProcW FlashWindow | FlashWindowEx

CreateDialogParamA CreateDialogParamW
CreateDialogIndirectParamA
CreateDialogIndirectParamW
DialogBoxParamA DialogBoxParamW
DialogBoxIndirectParamA DialogBoxIndirectParamW
EndDialog DefDlgProcA DefDlgProcW
GetDlgItem SetDlgItemInt GetDlgItemInt
SetDlgItemTextA SetDlgItemTextW
GetDlgItemTextA GetDlgItemTextW
SendDlgItemMessageA SendDlgItemMessageW
CheckDlgButton CheckRadioButton
IsDlgButtonChecked GetNextDlgGroupItem
GetNextDlgTabItem GetDlgCtrlID
GetDialogBaseUnits MapDialogRect
IsDialogMessageA IsDialogMessageW

IsDialogMessage = IsDialogMessageA

OpenClipboard | CloseClipboard
| BeginPaint
UpdateWindow GetUpdateRect GetUpdateRgn | ExcludeUpdateRgn
| SetFocus
GetCapture | SetCapture
LoadKeyboardLayoutA LoadKeyboardLayoutW | ActivateKeyboardLayout
GetKBCodePage GetKeyState GetAsyncKeyState GetKeyboardState | SetKeyboardState
toascii c Virtual Keycode to Character | translation
ToAscii ToUnicode VkKeyScanA | VkKeyScanW
winable c Active Accessibility Win Event | hooks
BlockInput GetAltTabInfoA GetAltTabInfoW | GetAltTabInfo
xlate c | Scancode
xlate c Virtual | Key
xlate c Virtual and Character | translations
MapVirtualKeyA MapVirtualKeyW | OemKeyScan
GetInputState GetQueueStatus MsgWaitForMultipleObjects | MsgWaitForMultipleObjectsEx
| SetTimer
TranslateAcceleratorA TranslateAcceleratorW | TranslateAccelerator
later scrollwindow can be removed ScrollWindow ScrollDC | ScrollWindowEx
sbapi c Scrollbar | control
SetScrollPos GetScrollPos SetScrollRange GetScrollRange | ShowScrollBar = NtUserShowScrollBar
SetPropA SetPropW GetPropA GetPropW RemovePropA RemovePropW EnumPropsA EnumPropsW EnumPropsExA | EnumPropsExW
MessageBoxA MessageBoxW MessageBoxExA | MessageBoxExW
| MessageBoxIndirectA
MessageBoxIndirectW MessageBeep MB_GetString | SoftModalMessageBox
CreateCursor DestroyCursor CreateIcon | DestroyIcon
ShowCursor SetCursorPos | SetCursor
| DrawIcon
| CreateCaret
| WindowFromPoint
GetWindowWord | SetWindowWord
desktop c Desktop window APIs and window | procedure
GetDesktopHwnd GetDesktopWindow CreateDesktopA CreateDesktopW OpenDesktopA OpenDesktopW | OpenInputDesktop
CreateWindowStationA CreateWindowStationW OpenWindowStationA OpenWindowStationW | CloseWindowStation
SetUserObjectSecurity GetUserObjectSecurity | SetUserObjectInformationW
DlgDirListA DlgDirListW DlgDirSelectExA DlgDirSelectExW DlgDirListComboBoxA DlgDirListComboBoxW DlgDirSelectComboBoxExA | DlgDirSelectComboBoxExW
SetWindowsHookA SetWindowsHookW UnhookWindowsHook SetWindowsHookExA SetWindowsHookExW | UnhookWindowsHookEx
MDI c Multiple Document Interface window | procs
DefFrameProcA DefFrameProcW DefMDIChildProcA DefMDIChildProcW ArrangeIconicWindows CascadeChildWindows | TileChildWindows
| CalcChildScroll
Private API used by progman CreateMDIWindowA CreateMDIWindowW | ScrollChildren
help c Front end API for Windows Help | Manager
WinHelpA | WinHelpW
GrayStringA GrayStringW DrawTextA DrawTextW TabbedTextOutA TabbedTextOutW GetTabbedTextExtentA GetTabbedTextExtentW | DrawFocusRect
| GetWindowDC
| SelectPalette
| RealizePalette
misc c Miscellanous APIs and routines that don t fit well anywhere | else
ExitWindowsEx SwitchToThisWindow SetDebugErrorLevel | InitializeWin32EntryTable
clrect c Client side rectangle drawing | primitives
FillRect InvertRect | FrameRect

DdeInitializeA DdeInitializeW
DdeUninitialize DdeCmpStringHandles
DdeConnectList DdeQueryNextServer
DdeDisconnectList DdeConnect
DdeDisconnect DdeReconnect
DdeQueryConvInfo DdeSetUserHandle
DdeAbandonTransaction DdePostAdvise
DdeEnableCallback DdeNameService
DdeClientTransaction DdeCreateDataHandle
DdeAddData DdeGetData DdeAccessData
DdeFreeDataHandle DdeUnaccessData
DdeGetLastError DdeCreateStringHandleA
DdeCreateStringHandleW DdeQueryStringA
DdeQueryStringW DdeFreeStringHandle
DdeKeepStringHandle DdeImpersonateClient

ImpersonateDdeClientWindow

PackDDElParam UnpackDDElParam FreeDDElParam | ReuseDDElParam
| DragObject
| Merge
| GetOpenClipboardWindow
| IsMenu
SetRect SetRectEmpty CopyRect InflateRect SubtractRect IntersectRect UnionRect OffsetRect IsRectEmpty EqualRect | PtInRect
| AlignRects

wvsprintfA wvsprintfW wsprintfA
wsprintfW CharLowerA CharLowerW
CharUpperA CharUpperW CharNextA
CharNextW CharPrevA CharPrevW
IsCharLowerA IsCharLowerW
IsCharUpperA IsCharUpperW
IsCharAlphaA IsCharAlphaW
IsCharAlphaNumericA IsCharAlphaNumericW
CharLowerBuffA CharLowerBuffW
CharUpperBuffA

CharUpperBuffW

oemxlate c OEM to ANSI | Unicode
CharToOemA CharToOemW CharToOemBuffA CharToOemBuffW OemToCharA OemToCharW OemToCharBuffA | OemToCharBuffW
| ntinput
keybd_event mouse_event | SendInput
to be | moved
BroadcastSystemMessageA BroadcastSystemMessageW | BroadcastSystemMessage
Ansi Only | CharPrevExA
Ansi Only CheckMenuRadioItem | ChildWindowFromPointEx
Win APIs | GetGuiResources
multimonitor apis GetMonitorInfoA GetMonitorInfoW | EnumDisplayMonitors

## Function Documentation

csrss uses GetProcAddr | ( |  | ) |

## Variable Documentation

LoadKeyboardLayoutA LoadKeyboardLayoutW ActivateKeyboardLayout

Initial value:

     NtUserActivateKeyboardLayout
        UnloadKeyboardLayout = NtUserUnloadKeyboardLayout
        GetKeyboardLayoutNameA
        GetKeyboardLayoutNameW
        LoadKeyboardLayoutEx

Definition at line 361 of file user32p.def.

AlignRects

| Definition at line 815 of file user32p.def.

LPK APIs

| Definition at line 1033 of file user32p.def.

BeginPaint

Initial value:

     NtUserBeginPaint
        EndPaint = NtUserEndPaint
        GetWindowRgn
        SetWindowRgn

Definition at line 321 of file user32p.def.

BroadcastSystemMessageA BroadcastSystemMessageW BroadcastSystemMessage

Initial value:

     BroadcastSystemMessageA
        CascadeWindows
        ChangeDisplaySettingsA
        ChangeDisplaySettingsW
        ChangeDisplaySettingsExA
        ChangeDisplaySettingsExW
        CharNextExA

Definition at line 872 of file user32p.def.

winmgrc c

| Definition at line 792 of file user32p.def.

CalcChildScroll

| Definition at line 674 of file user32p.def.

Ansi Only CharPrevExA

| Definition at line 879 of file user32p.def.

wvsprintfA wvsprintfW wsprintfA wsprintfW CharLowerA CharLowerW CharUpperA CharUpperW CharNextA CharNextW CharPrevA CharPrevW IsCharLowerA IsCharLowerW IsCharUpperA IsCharUpperW IsCharAlphaA IsCharAlphaW IsCharAlphaNumericA IsCharAlphaNumericW CharLowerBuffA CharLowerBuffW CharUpperBuffA CharUpperBuffW

| Definition at line 844 of file user32p.def.

Ansi Only CheckMenuRadioItem ChildWindowFromPointEx

| Definition at line 881 of file user32p.def.

LIBRARY USER32 EXPORTS ClientThreadSetup

| Definition at line 6 of file user32p.def.

OpenClipboard CloseClipboard

Initial value:

     NtUserCloseClipboard
        EnumClipboardFormats
        EmptyClipboard = NtUserEmptyClipboard
        SetClipboardData
        GetClipboardData
        RegisterClipboardFormatA
        RegisterClipboardFormatW
        IsClipboardFormatAvailable = NtUserIsClipboardFormatAvailable
        GetClipboardFormatNameA
        GetClipboardFormatNameW
        CountClipboardFormats = NtUserCountClipboardFormats
        GetPriorityClipboardFormat = NtUserGetPriorityClipboardFormat
        GetClipboardOwner = NtUserGetClipboardOwner
        GetClipboardSequenceNumber
        GetClipboardViewer = NtUserGetClipboardViewer
        SetClipboardViewer = NtUserSetClipboardViewer
        ChangeClipboardChain = NtUserChangeClipboardChain

Definition at line 300 of file user32p.def.

CreateWindowStationA CreateWindowStationW OpenWindowStationA OpenWindowStationW CloseWindowStation

Initial value:

     NtUserCloseWindowStation
        SetProcessWindowStation = NtUserSetProcessWindowStation
        GetProcessWindowStation = NtUserGetProcessWindowStation

Definition at line 624 of file user32p.def.

comdlg

| Definition at line 7 of file user32p.def.

sbapi c Scrollbar control

| Definition at line 488 of file user32p.def.

CopyCursor

| Definition at line 52 of file user32p.def.

CreateCaret

Initial value:

     NtUserCreateCaret
        GetCaretBlinkTime = NtUserGetCaretBlinkTime
        SetCaretBlinkTime
        DestroyCaret
        HideCaret = NtUserHideCaret
        ShowCaret = NtUserShowCaret
        SetCaretPos
        GetCaretPos = NtUserGetCaretPos

Definition at line 557 of file user32p.def.

wow CreateDialogIndirectParamAorW

| Definition at line 7 of file user32p.def.

CreateCursor DestroyCursor CreateIcon DestroyIcon

Initial value:

     DestroyCursor
        CreateAcceleratorTableA
        CreateAcceleratorTableW = NtUserCreateAcceleratorTable
        DestroyAcceleratorTable
        CopyAcceleratorTableA
        CopyAcceleratorTableW = NtUserCopyAcceleratorTable

Definition at line 528 of file user32p.def.

CreateWindowExA CreateWindowExW DestroyWindow = NtUserDestroyWindow

| Definition at line 190 of file user32p.def.

DlgDirListA DlgDirListW DlgDirSelectExA DlgDirSelectExW DlgDirListComboBoxA DlgDirListComboBoxW DlgDirSelectComboBoxExA DlgDirSelectComboBoxExW

| Definition at line 650 of file user32p.def.

DragObject

Initial value:

     NtUserDragObject
        DragDetect = NtUserDragDetect

Definition at line 779 of file user32p.def.

desk cpl DrawCaptionTempW

| Definition at line 34 of file user32p.def.

GrayStringA GrayStringW DrawTextA DrawTextW TabbedTextOutA TabbedTextOutW GetTabbedTextExtentA GetTabbedTextExtentW DrawFocusRect

| Definition at line 698 of file user32p.def.

DrawIcon

| Definition at line 554 of file user32p.def.

EditWndProc

| Definition at line 80 of file user32p.def.

misc c Miscellanous APIs and routines that don t fit well anywhere else

| Definition at line 715 of file user32p.def.

EnableHardwareInput

| Definition at line 72 of file user32p.def.

multimonitor apis GetMonitorInfoA GetMonitorInfoW EnumDisplayMonitors

| Definition at line 961 of file user32p.def.

SetPropA SetPropW GetPropA GetPropW RemovePropA RemovePropW EnumPropsA EnumPropsW EnumPropsExA EnumPropsExW

| Definition at line 509 of file user32p.def.

EnumWindows EnumChildWindows EnumThreadWindows

| Definition at line 177 of file user32p.def.

UpdateWindow GetUpdateRect GetUpdateRgn ExcludeUpdateRgn

Initial value:

     NtUserExcludeUpdateRgn
        InvalidateRect = NtUserInvalidateRect
        ValidateRect = NtUserValidateRect
        InvalidateRgn = NtUserInvalidateRgn
        ValidateRgn
        RedrawWindow = NtUserRedrawWindow

Definition at line 332 of file user32p.def.

this stuff wasn t exported from win31 but was in this file

| Definition at line 54 of file user32p.def.

DefWindowProcA DefWindowProcW CallWindowProcA CallWindowProcW FlashWindow FlashWindowEx

| Definition at line 215 of file user32p.def.

FillRect InvertRect FrameRect

| Definition at line 730 of file user32p.def.

dragdrop c Drag Drop support functions

| Definition at line 778 of file user32p.def.

BlockInput GetAltTabInfoA GetAltTabInfoW GetAltTabInfo

Initial value:

     GetAltTabInfoA

        GetAncestor = NtUserGetAncestor
        GetComboBoxInfo = NtUserGetComboBoxInfo
        GetCursorInfo = NtUserGetCursorInfo
        GetGUIThreadInfo = NtUserGetGUIThreadInfo
        GetListBoxInfo = NtUserGetListBoxInfo
        GetMenuBarInfo = NtUserGetMenuBarInfo
        GetScrollBarInfo = NtUserGetScrollBarInfo
        GetTitleBarInfo = NtUserGetTitleBarInfo
        GetWindowInfo
        GetWindowModuleFileNameA
        GetWindowModuleFileNameW
        GetWindowModuleFileName = GetWindowModuleFileNameA

        NotifyWinEvent
        RealChildWindowFromPoint = NtUserRealChildWindowFromPoint
        RealGetWindowClass = RealGetWindowClassA
        RealGetWindowClassA
        RealGetWindowClassW

        SetWinEventHook
        UnhookWinEvent = NtUserUnhookWinEvent

Definition at line 393 of file user32p.def.

GetCSSwitchCount

| Definition at line 75 of file user32p.def.

SwapMouseButton GetDoubleClickTime

Initial value:

     NtUserGetDoubleClickTime
        SetDoubleClickTime
        GetSystemMetrics
        GetSysColor
        SetSysColors

Definition at line 164 of file user32p.def.

Win APIs GetGuiResources

Initial value:

     NtUserGetGuiResources
        RegisterDeviceNotificationA
        RegisterDeviceNotificationW
        UnregisterDeviceNotification
        DeviceEventWorker

        DbgSetPoolAllocation = NtUserDbgSetPoolAllocation

        LockWorkStation = NtUserLockWorkStation

        UserHandleGrantAccess = NtUserUserHandleGrantAccess

Definition at line 944 of file user32p.def.

GetNextWindow

| Definition at line 50 of file user32p.def.

GetOpenClipboardWindow

Initial value:

     NtUserGetOpenClipboardWindow
        DrawFrame
        EnableScrollBar = NtUserEnableScrollBar
        CopyIcon

Definition at line 785 of file user32p.def.

GetSysInputMode

| Definition at line 58 of file user32p.def.

GetSysModalWindow

| Definition at line 68 of file user32p.def.

GetSystemDebugState

| Definition at line 73 of file user32p.def.

GetWindowDC

Initial value:

     NtUserGetWindowDC
        GetDC = NtUserGetDC
        ReleaseDC
        WindowFromDC
        GetDCEx = NtUserGetDCEx

Definition at line 701 of file user32p.def.

winable c Active Accessibility Win Event hooks

| Definition at line 389 of file user32p.def.

DdeInitializeA DdeInitializeW DdeUninitialize DdeCmpStringHandles DdeConnectList DdeQueryNextServer DdeDisconnectList DdeConnect DdeDisconnect DdeReconnect DdeQueryConvInfo DdeSetUserHandle DdeAbandonTransaction DdePostAdvise DdeEnableCallback DdeNameService DdeClientTransaction DdeCreateDataHandle DdeAddData DdeGetData DdeAccessData DdeFreeDataHandle DdeUnaccessData DdeGetLastError DdeCreateStringHandleA DdeCreateStringHandleW DdeQueryStringA DdeQueryStringW DdeFreeStringHandle DdeKeepStringHandle DdeImpersonateClient ImpersonateDdeClientWindow

Initial value:

     NtUserImpersonateDdeClientWindow
        DdeGetQualityOfService = NtUserDdeGetQualityOfService
        DdeSetQualityOfService = NtUserDdeSetQualityOfService

Definition at line 764 of file user32p.def.

ExitWindowsEx SwitchToThisWindow SetDebugErrorLevel InitializeWin32EntryTable

| Definition at line 723 of file user32p.def.

InitQueue

| Definition at line 57 of file user32p.def.

CreateDialogParamA CreateDialogParamW CreateDialogIndirectParamA CreateDialogIndirectParamW DialogBoxParamA DialogBoxParamW DialogBoxIndirectParamA DialogBoxIndirectParamW EndDialog DefDlgProcA DefDlgProcW GetDlgItem SetDlgItemInt GetDlgItemInt SetDlgItemTextA SetDlgItemTextW GetDlgItemTextA GetDlgItemTextW SendDlgItemMessageA SendDlgItemMessageW CheckDlgButton CheckRadioButton IsDlgButtonChecked GetNextDlgGroupItem GetNextDlgTabItem GetDlgCtrlID GetDialogBaseUnits MapDialogRect IsDialogMessageA IsDialogMessageW IsDialogMessage = IsDialogMessageA

| Definition at line 294 of file user32p.def.

IsMenu

| Definition at line 795 of file user32p.def.

IsTwoByteCharPrefix

| Definition at line 59 of file user32p.def.

xlate c Virtual Key

| Definition at line 418 of file user32p.def.

comdlg EndTask GetAppCompatFlags LoadLocalFonts

| Definition at line 11 of file user32p.def.

LookupIconIdFromDirectory CreateIconFromResource GetIconInfo CreateIconIndirect LoadMenuA LoadMenuW LoadCursorA LoadCursorW LoadIconA LoadIconW LoadBitmapA LoadBitmapW LoadAcceleratorsA LoadAcceleratorsW LoadStringA LoadStringW

| Definition at line 118 of file user32p.def.

winlogon LoadRemoteFonts LockWindowStation

Initial value:

     NtUserLockWindowStation
        MBToWCSEx
        WCSToMBEx
        MenuWindowProcA
        MenuWindowProcW
        QuerySendMessage = NtUserQuerySendMessage
        RegisterServicesProcess
        RegisterLogonProcess
        SetLogonNotifyWindow = NtUserSetLogonNotifyWindow

Definition at line 13 of file user32p.def.

LockWindowUpdate = NtUserLockWindowUpdate

| Definition at line 205 of file user32p.def.

Lookupmenuitem

| Definition at line 60 of file user32p.def.

strings c String manipulation routines Should be replaced with Rtl macros

| Definition at line 817 of file user32p.def.

help c Front end API for Windows Help Manager

| Definition at line 681 of file user32p.def.

Merge

| Definition at line 784 of file user32p.def.

MessageBoxA MessageBoxW MessageBoxExA MessageBoxExW

| Definition at line 516 of file user32p.def.

MessageBoxIndirectA

| Definition at line 517 of file user32p.def.

to be moved

| Definition at line 867 of file user32p.def.

GetInputState GetQueueStatus MsgWaitForMultipleObjects MsgWaitForMultipleObjectsEx

| Definition at line 432 of file user32p.def.

ntinput

| Definition at line 858 of file user32p.def.

MapVirtualKeyA MapVirtualKeyW OemKeyScan

| Definition at line 424 of file user32p.def.

CharToOemA CharToOemW CharToOemBuffA CharToOemBuffW OemToCharA OemToCharW OemToCharBuffA OemToCharBuffW

| Definition at line 856 of file user32p.def.

GetDesktopHwnd GetDesktopWindow CreateDesktopA CreateDesktopW OpenDesktopA OpenDesktopW OpenInputDesktop

Initial value:

     NtUserOpenInputDesktop

        SwitchDesktop = NtUserSwitchDesktop
        GetInputDesktop
        SetThreadDesktop = NtUserSetThreadDesktop
        GetThreadDesktop
        CloseDesktop = NtUserCloseDesktop
        RegisterTasklist = NtUserRegisterTasklist
        SetDeskWallpaper
        EnumDisplayDevicesA
        EnumDisplayDevicesW
        EnumDisplaySettingsA
        EnumDisplaySettingsW
        EnumDisplaySettingsExA
        EnumDisplaySettingsExW
        EnumWindowStationsA
        EnumWindowStationsW
        EnumDesktopsA
        EnumDesktopsW
        EnumDesktopWindows
        ResolveDesktopForWOW = NtUserResolveDesktopForWOW

Definition at line 594 of file user32p.def.

clrect c Client side rectangle drawing primitives

| Definition at line 725 of file user32p.def.

desktop c Desktop window APIs and window procedure

| Definition at line 584 of file user32p.def.

MDI c Multiple Document Interface window procs

| Definition at line 665 of file user32p.def.

SetRect SetRectEmpty CopyRect InflateRect SubtractRect IntersectRect UnionRect OffsetRect IsRectEmpty EqualRect PtInRect

| Definition at line 810 of file user32p.def.

RealizePalette

| Definition at line 713 of file user32p.def.

for some reason

| Definition at line 55 of file user32p.def.

RecalcTabStrings

| Definition at line 62 of file user32p.def.

GDI32 UserRegisterWowHandlers RegisterSystemThread

| Definition at line 28 of file user32p.def.

SendMessageA SendMessageW SendMessageTimeoutA SendMessageTimeoutW SendNotifyMessageA SendNotifyMessageW SendMessageCallbackA SendMessageCallbackW PostMessageA PostMessageW PostThreadMessageA PostThreadMessageW ReplyMessage PostQuitMessage InSendMessage InSendMessageEx RegisterWindowMessageA RegisterWindowMessageW

| Definition at line 160 of file user32p.def.

PackDDElParam UnpackDDElParam FreeDDElParam ReuseDDElParam

| Definition at line 776 of file user32p.def.

palman c Palette Manager APIs and support routines

| Definition at line 709 of file user32p.def.

xlate c Scancode

| Definition at line 418 of file user32p.def.

Private API used by progman CreateMDIWindowA CreateMDIWindowW ScrollChildren

| Definition at line 679 of file user32p.def.

later scrollwindow can be removed ScrollWindow ScrollDC ScrollWindowEx

| Definition at line 486 of file user32p.def.

SelectPalette

| Definition at line 711 of file user32p.def.

keybd_event mouse_event SendInput

Initial value:

     NtUserSendInput
        GetMouseMovePoints = NtUserGetMouseMovePoints
        GetLastInputInfo

        SetLastErrorEx

Definition at line 862 of file user32p.def.

Callbacks from Server

| Definition at line 77 of file user32p.def.

GetCapture SetCapture

Initial value:

     NtUserSetCapture
        ReleaseCapture

Definition at line 353 of file user32p.def.

RegisterClassA RegisterClassW UnregisterClassA UnregisterClassW GetClassInfoA GetClassInfoW GetClassWord SetClassWord

Initial value:

     NtUserSetClassWord
        GetClassLongA
        GetClassLongW
        SetClassLongA
        SetClassLongW
        GetClassNameA
        GetClassNameW

Definition at line 90 of file user32p.def.

desk cpl DrawMenuBarTemp TranslateMessageEx SetConsoleReserveKeys

Initial value:

     NtUserSetConsoleReserveKeys
        PrivateExtractIconExA
        PrivateExtractIconExW
        PrivateExtractIconsA
        PrivateExtractIconsW

        VRipOutput

Definition at line 39 of file user32p.def.

ShowCursor SetCursorPos SetCursor

Initial value:

     NtUserSetCursor
        GetCursorPos
        ClipCursor = NtUserClipCursor
        GetClipCursor = NtUserGetClipCursor
        GetCursor
        SetSystemCursor
        LoadCursorFromFileA
        LoadCursorFromFileW

Definition at line 540 of file user32p.def.

Chicago SetWindowStationUser GetCursorFrameInfo SetCursorContents

Initial value:

     NtUserSetCursorContents

        DrawCaptionTempA

Definition at line 31 of file user32p.def.

SetFocus

Initial value:

     NtUserSetFocus
        GetFocus
        SetActiveWindow = NtUserSetActiveWindow
        GetActiveWindow
        SetForegroundWindow
        GetForegroundWindow = NtUserGetForegroundWindow

Definition at line 342 of file user32p.def.

GetKBCodePage GetKeyState GetAsyncKeyState GetKeyboardState SetKeyboardState

Initial value:

     NtUserSetKeyboardState
        GetKeyNameTextA
        GetKeyNameTextW
        GetKeyboardType

Definition at line 374 of file user32p.def.

desk cpl SetSysColorsTemp

| Definition at line 35 of file user32p.def.

SetSysModalWindow

| Definition at line 66 of file user32p.def.

SetTimer

Initial value:

     NtUserSetTimer
        KillTimer = NtUserKillTimer
        SetSystemTimer = NtUserSetSystemTimer
        KillSystemTimer

Definition at line 435 of file user32p.def.

SetUserObjectSecurity GetUserObjectSecurity SetUserObjectInformationW

Initial value:

     NtUserSetObjectInformation
        SetUserObjectInformationA = NtUserSetObjectInformation
        GetUserObjectInformationW = NtUserGetObjectInformation
        GetUserObjectInformationA

Definition at line 633 of file user32p.def.

SetWindowPos

Initial value:

     NtUserSetWindowPos
        BeginDeferWindowPos
        DeferWindowPos = NtUserDeferWindowPos
        EndDeferWindowPos
        MoveWindow = NtUserMoveWindow
        BringWindowToTop

Definition at line 195 of file user32p.def.

GetWindowWord SetWindowWord

Initial value:

     NtUserSetWindowWord
        GetWindowLongA
        GetWindowLongW
        SetWindowLongA
        SetWindowLongW

Definition at line 576 of file user32p.def.

SetScrollPos GetScrollPos SetScrollRange GetScrollRange ShowScrollBar = NtUserShowScrollBar

| Definition at line 493 of file user32p.def.

ShowWindow

Initial value:

     NtUserShowWindow
        ShowOwnedPopups
        OpenIcon
        CloseWindow

Definition at line 180 of file user32p.def.

MessageBoxIndirectW MessageBeep MB_GetString SoftModalMessageBox

| Definition at line 522 of file user32p.def.

DefFrameProcA DefFrameProcW DefMDIChildProcA DefMDIChildProcW ArrangeIconicWindows CascadeChildWindows TileChildWindows

| Definition at line 674 of file user32p.def.

TranslateAcceleratorA TranslateAcceleratorW TranslateAccelerator

| Definition at line 445 of file user32p.def.

oemxlate c OEM to ANSI ANSI Unicode to OEM character translation

| Definition at line 845 of file user32p.def.

xlate c Virtual and Character translations

| Definition at line 418 of file user32p.def.

SetWindowsHookA SetWindowsHookW UnhookWindowsHook SetWindowsHookExA SetWindowsHookExW UnhookWindowsHookEx

Initial value:

     NtUserUnhookWindowsHookEx
        CallNextHookEx
        CallMsgFilterA
        CallMsgFilterW
        CallMsgFilter = CallMsgFilterA

Definition at line 658 of file user32p.def.

oemxlate c OEM to ANSI Unicode

| Definition at line 845 of file user32p.def.

Chicago ShowStartGlass UnlockWindowStation = NtUserUnlockWindowStation

| Definition at line 23 of file user32p.def.

Chicago UpdatePerUserSystemParameters UserClientDllInitialize UserRealizePalette

| Definition at line 26 of file user32p.def.

ToAscii ToUnicode VkKeyScanA VkKeyScanW

| Definition at line 387 of file user32p.def.

GetMessageA GetMessageW PeekMessageA PeekMessageW TranslateMessage DispatchMessageA DispatchMessageW SetMessageQueue GetMessagePos GetMessageTime WaitMessage

Initial value:

     NtUserWaitMessage
        WaitForInputIdle
        RegisterHotKey = NtUserRegisterHotKey
        UnregisterHotKey = NtUserUnregisterHotKey
        GetMessageExtraInfo
        AttachThreadInput = NtUserAttachThreadInput

Definition at line 131 of file user32p.def.

WindowFromPoint

Initial value:

     NtUserWindowFromPoint
        ChildWindowFromPoint

Definition at line 569 of file user32p.def.

WinHelpA WinHelpW

| Definition at line 685 of file user32p.def.